Index: npl/mailserver/kopano_conf/root/etc/kopano/ldap.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/ldap.cfg	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
+++ npl/mailserver/kopano_conf/root/etc/kopano/ldap.cfg	(revision 225b09891e0f3e85dc1ba1cad7a751c0ba3db0cc)
@@ -33,5 +33,5 @@
 # The userPassword attribute must be readable for this user if the
 # ldap_authentication_method option is set to password.
-#ldap_bind_user = cn=admin,cn=users,dc=kopano,dc=com
+#ldap_bind_user = cn=admin,cn=users,dc=zarafa,dc=com
 ldap_bind_user =
 
@@ -59,8 +59,8 @@
 ldap_user_type_attribute_value = shadowAccount  
 ldap_group_type_attribute_value = posixGroup
-ldap_contact_type_attribute_value = kopano-contact
-ldap_company_type_attribute_value = kopano-company
-ldap_addresslist_type_attribute_value = kopano-addresslist
-ldap_dynamicgroup_type_attribute_value = kopano-dynamicgroup
+ldap_contact_type_attribute_value = zarafa-contact
+ldap_company_type_attribute_value = zarafa-company
+ldap_addresslist_type_attribute_value = zarafa-addresslist
+ldap_dynamicgroup_type_attribute_value = zarafa-dynamicgroup
 
 
@@ -74,6 +74,6 @@
 # Extra search for users using this LDAP filter.  See ldap_search(3) or RFC
 # 2254 for details on the filter syntax.
-# Hint: Use the kopanoAccount attribute in the filter to differentiate
-# between non-kopano and kopano users.
+# Hint: Use the zarafaAccount attribute in the filter to differentiate
+# between non-zarafa and zarafa users.
 # Optional, default = empty (match everything)
 # For active directory, use:
@@ -131,8 +131,8 @@
 ldap_emailaddress_attribute = mail
 
-# Optional, default = kopanoAliases
-# Active directory: kopanoAliases
-# LDAP: kopanoAliases
-# DatuX: 3-oct-2011: Disabled this because it causes kopano to 'resolve' the aliases to the primary adres. This causes confusion and doesnt allow mailrules that filters on such adresses. ( also see https://jira.kopano.com/browse/ZCP-4850. same 'feature' exists for to-adresses)
+# Optional, default = zarafaAliases
+# Active directory: zarafaAliases
+# LDAP: zarafaAliases
+# DatuX: 3-oct-2011: Disabled this because it causes zarafa to 'resolve' the aliases to the primary adres. This causes confusion and doesnt allow mailrules that filters on such adresses. ( also see https://jira.zarafa.com/browse/ZCP-4850. same 'feature' exists for to-adresses)
 #ldap_emailaliases_attribute = alias
 
@@ -140,8 +140,8 @@
 # boolean, 0 and false (case insensitive) meaning no, all other values
 # yes.
-# Optional, default = kopanoAdmin
-# Active directory: kopanoAdmin
-# LDAP: kopanoAdmin
-ldap_isadmin_attribute = kopanoAdmin
+# Optional, default = zarafaAdmin
+# Active directory: zarafaAdmin
+# LDAP: zarafaAdmin
+ldap_isadmin_attribute = zarafaAdmin
 
 # Whether a user is a non-active user. This means that the user will
@@ -149,26 +149,26 @@
 # able to log in
 # Optional, default = empty
-# Active directory: kopanoSharedStoreOnly
-# LDAP: kopanoSharedStoreOnly
-ldap_nonactive_attribute = kopanoSharedStoreOnly
+# Active directory: zarafaSharedStoreOnly
+# LDAP: zarafaSharedStoreOnly
+ldap_nonactive_attribute = zarafaSharedStoreOnly
 
 # A nonactive store, or resource, can be specified to be a user, room or equipment.
 # Set it to 'room' or 'equipment' to make such types. If set to empty,
 # or wrong word, or 'user' it will be a nonactive user.
-# Optional, default = kopanoResourceType
-# Active directory: kopanoResourceType
-# LDAP: kopanoResourceType
-ldap_resource_type_attribute = kopanoResourceType
+# Optional, default = zarafaResourceType
+# Active directory: zarafaResourceType
+# LDAP: zarafaResourceType
+ldap_resource_type_attribute = zarafaResourceType
 
 # Numeric resource capacity
-# Optional, default = kopanoResourceCapacity
-# Active directory: kopanoResourceCapacity
-# LDAP: kopanoResourceCapacity
-ldap_resource_capacity_attribute = kopanoResourceCapacity
+# Optional, default = zarafaResourceCapacity
+# Active directory: zarafaResourceCapacity
+# LDAP: zarafaResourceCapacity
+ldap_resource_capacity_attribute = zarafaResourceCapacity
 
 # Optional
 # The attribute which indicates which users are allowed
 # to send on bahalf of the selected user
-ldap_user_sendas_attribute = kopanoSendAsPrivilege
+ldap_user_sendas_attribute = zarafaSendAsPrivilege
 
 # Optional, default = text
@@ -188,5 +188,5 @@
 
 # Load extra user properties from the propmap file
-#!propmap /etc/kopano/ldap.propmap.cfg
+#!propmap /etc/zarafa/ldap.propmap.cfg
 
 ##########
@@ -195,6 +195,6 @@
 # Search for groups using this LDAP filter.  See ldap_search(3) for
 # details on the filter syntax.
-# Hint: Use the kopanoAccount attribute in the filter to differentiate
-# between non-kopano and kopano groups.
+# Hint: Use the zarafaAccount attribute in the filter to differentiate
+# between non-zarafa and zarafa groups.
 # Optional, default = empty (match everything)
 # For active directory, use:
@@ -241,9 +241,9 @@
 
 # A group can also be used for security, eg. setting permissions on folders.
-# This makes a group a security group. The kopanoSecurityGroup value is boolean.
-# Optional, default = kopanoSecurityGroup
+# This makes a group a security group. The zarafaSecurityGroup value is boolean.
+# Optional, default = zarafaSecurityGroup
 # Active directory = groupType
-# LDAP: kopanoSecurityGroup
-ldap_group_security_attribute = kopanoSecurityGroup
+# LDAP: zarafaSecurityGroup
+ldap_group_security_attribute = zarafaSecurityGroup
 
 # In ADS servers, a special bitmask action is required on the groupType field.
@@ -259,6 +259,6 @@
 
 # Search for companies using this LDAP filter.
-# Hint: Use the kopanoAccount attribute in the filter to differentiate
-# between non-kopano and kopano companies.
+# Hint: Use the zarafaAccount attribute in the filter to differentiate
+# between non-zarafa and zarafa companies.
 # Optional, default = empty (match everything)
 # For active directory, use:
@@ -286,5 +286,5 @@
 # The attribute which indicates which companies are allowed
 # to view the members of the selected company
-ldap_company_view_attribute = kopanoViewPrivilege
+ldap_company_view_attribute = zarafaViewPrivilege
 
 # Optional, default = text
@@ -299,5 +299,5 @@
 # The attribute which indicates which users from different companies
 # are administrator over the selected company.
-ldap_company_admin_attribute = kopanoAdminPrivilege
+ldap_company_admin_attribute = zarafaAdminPrivilege
 
 # Optional, default = text
@@ -313,5 +313,5 @@
 # The attribute which indicates which user is the system administrator
 # for the specified company.
-ldap_company_system_admin_attribute = kopanoSystemAdmin
+ldap_company_system_admin_attribute = zarafaSystemAdmin
 
 # Optional, default = text
@@ -330,6 +330,6 @@
 
 # Add a filter to the addresslist search
-# Hint: Use the kopanoAccount attribute in the filter to differentiate
-# between non-kopano and kopano addresslists.
+# Hint: Use the zarafaAccount attribute in the filter to differentiate
+# between non-zarafa and zarafa addresslists.
 # Optional, default = empty (match everything)
 ldap_addresslist_search_filter = 
@@ -337,5 +337,5 @@
 # This is the unique attribute of a addresslist which is never going
 # to change, unless the addresslist is removed from LDAP. When this
-# value changes, Kopano will remove the previous addresslist from the
+# value changes, Zarafa will remove the previous addresslist from the
 # database, and create a new addresslist with this unique value
 ldap_addresslist_unique_attribute = cn
@@ -348,9 +348,9 @@
 # matching this filter AND matching the default
 # ldap_user_search_filter will be included in the addresslist
-ldap_addresslist_filter_attribute = kopanoFilter
+ldap_addresslist_filter_attribute = zarafaFilter
 
 # This is the name of the attribute on the addresslist object that
 # specifies the search base to be applied for this addresslist.
-ldap_addresslist_search_base_attribute = kopanoBase
+ldap_addresslist_search_base_attribute = zarafaBase
 
 # The attribute containing the name of the addresslist
@@ -362,6 +362,6 @@
 
 # Add a filter to the dynamicgroup search
-# Hint: Use the kopanoAccount attribute in the filter to differentiate
-# between non-kopano and kopano dynamic groups.
+# Hint: Use the zarafaAccount attribute in the filter to differentiate
+# between non-zarafa and zarafa dynamic groups.
 # Optional, default = empty (match everything)
 ldap_dynamicgroup_search_filter = 
@@ -369,5 +369,5 @@
 # This is the unique attribute of a dynamicgroup which is never going
 # to change, unless the dynamicgroup is removed from LDAP. When this
-# value changes, Kopano will remove the previous dynamicgroup from the
+# value changes, Zarafa will remove the previous dynamicgroup from the
 # database, and create a new dynamicgroup with this unique value
 ldap_dynamicgroup_unique_attribute = cn
@@ -380,9 +380,9 @@
 # matching this filter AND matching the default
 # ldap_user_search_filter will be included in the dynamicgroup
-ldap_dynamicgroup_filter_attribute = kopanoFilter
+ldap_dynamicgroup_filter_attribute = zarafaFilter
 
 # This is the name of the attribute on the dynamicgroup object that
 # specifies the search base to be applied for this dynamicgroup.
-ldap_dynamicgroup_search_base_attribute = kopanoBase
+ldap_dynamicgroup_search_base_attribute = zarafaBase
 
 # The attribute containing the name of the dynamicgroup
@@ -396,5 +396,5 @@
 # The attribute which indicates which users (besides the user who exceeds his quota)
 # should also receive a warning mail when a user exceeds his quota.
-ldap_quota_userwarning_recipients_attribute = kopanoQuotaUserWarningRecipients
+ldap_quota_userwarning_recipients_attribute = zarafaQuotaUserWarningRecipients
 
 # Optional, default = text
@@ -409,5 +409,5 @@
 # The attribute which indicates which users should receive a warning mail
 # when a company exceeds his quota.
-ldap_quota_companywarning_recipients_attribute = kopanoQuotaCompanyWarningRecipients
+ldap_quota_companywarning_recipients_attribute = zarafaQuotaCompanyWarningRecipients
 
 # Optional, default = text
@@ -420,5 +420,5 @@
 
 # Whether to override the system wide quota settings
-ldap_quotaoverride_attribute = kopanoQuotaOverride
+ldap_quotaoverride_attribute = zarafaQuotaOverride
 
 ldap_warnquota_attribute = 
@@ -427,5 +427,5 @@
 
 # Whether to override the system wide quota settings for all users within the company
-ldap_userdefault_quotaoverride_attribute = kopanoUserDefaultQuotaOverride
+ldap_userdefault_quotaoverride_attribute = zarafaUserDefaultQuotaOverride
 
 ldap_userdefault_warnquota_attribute =
@@ -441,10 +441,10 @@
 
 # Attribute which indicates if the user should be hidden from addressbook
-ldap_addressbook_hide_attribute = kopanoHidden 
+ldap_addressbook_hide_attribute = zarafaHidden 
 
 # LDAP object search filter. %s in this filter will be replaced with
 # the object being searched.
-# Hint: Use the kopanoAccount attribute in the filter to differentiate
-# between non-kopano and kopano objects.
+# Hint: Use the zarafaAccount attribute in the filter to differentiate
+# between non-zarafa and zarafa objects.
 # Default: empty
 # ADS recommended: (anr=%s)
Index: npl/mailserver/kopano_conf/root/etc/kopano/spooler.cfg
===================================================================
--- npl/mailserver/kopano_conf/root/etc/kopano/spooler.cfg	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
+++ npl/mailserver/kopano_conf/root/etc/kopano/spooler.cfg	(revision 225b09891e0f3e85dc1ba1cad7a751c0ba3db0cc)
@@ -3,5 +3,5 @@
 
 # Outgoing mailserver name or IP address
-; smtp_server	=	localhost
+# smtp_server	=	localhost
 smtp_server	=	127.0.0.3
 
Index: npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf
===================================================================
--- npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf	(revision 94b5bc18e9e682fe6dcaa68487b31a2271d204ad)
+++ npl/mailserver/kopano_conf/root/etc/postinst.d/post.kopano_conf	(revision 225b09891e0f3e85dc1ba1cad7a751c0ba3db0cc)
@@ -82,5 +82,5 @@
 mkdir /home/system/kopano_index
 chown kopano /home/system/kopano_index || exit 1
-
+ln -s /etc/kopano /usr/etc/mapi
 
 #create public store (first time only)