Index: npl/overig/archivetools/infozip/infozip.SlackBuild
===================================================================
--- npl/overig/archivetools/infozip/infozip.SlackBuild	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
+++ npl/overig/archivetools/infozip/infozip.SlackBuild	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirrors.slackware.com/slackware/slackware-current/source/a/infozip/
+# Created at Sat Sep  8 15:05:30 CEST 2018
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./infozip.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/overig/archivetools/infozip/infozip.SlackBuild.orig
===================================================================
--- npl/overig/archivetools/infozip/infozip.SlackBuild.orig	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
+++ npl/overig/archivetools/infozip/infozip.SlackBuild.orig	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
@@ -0,0 +1,108 @@
+#!/bin/bash
+
+# Copyright 2008, 2009, 2010, 2013, 2015, 2018  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=infozip
+VERSION=6.0
+ZIP=3.0
+BUILD=${BUILD:-4}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i586 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-infozip
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf zip$(echo $ZIP | tr -d .)
+tar xvf $CWD/zip$(echo $ZIP | tr -d .).tar.?z* || exit 1
+cd zip$(echo $ZIP | tr -d .)
+chown -R root:root .
+mkdir -p $PKG/usr/doc/zip-$ZIP
+cp -a BUGS CHANGES INSTALL LICENSE README* TODO US* WHATSNEW WHERE \
+      $PKG/usr/doc/zip-$ZIP
+chmod 644 $PKG/usr/doc/zip-$ZIP/*
+make -f unix/Makefile generic_gcc || exit 1
+mkdir -p $PKG/usr/bin
+cat zip > $PKG/usr/bin/zip
+cat zipnote > $PKG/usr/bin/zipnote
+cat zipsplit > $PKG/usr/bin/zipsplit
+cat zipcloak > $PKG/usr/bin/zipcloak
+mkdir -p $PKG/usr/man/man1
+for page in man/zip.1 ; do
+  cat $page | gzip -9c > $PKG/usr/man/man1/$(basename $page).gz
+done
+
+cd $TMP
+rm -rf unzip$(echo $VERSION | tr -d .)
+tar xvf $CWD/unzip$(echo $VERSION | tr -d .).tar.?z* || exit 1
+cd unzip$(echo $VERSION | tr -d .)
+zcat $CWD/unzip.use.system.libbz2.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/unzip.process.c.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/unzip.git.archive.fix.diff.gz | patch -p0 --verbose || exit 1
+chown -R root:root .
+mkdir -p $PKG/usr/doc/unzip-$VERSION
+cp -a BUGS COPYING* Contents History.* INSTALL LICENSE README ToDo WHERE \
+      $PKG/usr/doc/unzip-$VERSION
+chmod 644 $PKG/usr/doc/unzip-$VERSION/*
+make -f unix/Makefile generic LOCAL_UNZIP=-DIZ_HAVE_UXUIDGID || exit 1
+cat unzip > $PKG/usr/bin/unzip
+cat unzipsfx > $PKG/usr/bin/unzipsfx
+cat funzip > $PKG/usr/bin/funzip
+cat unix/zipgrep > $PKG/usr/bin/zipgrep
+( cd $PKG/usr/bin ; ln -sf unzip zipinfo )
+chmod 755 $PKG/usr/bin/*
+cd man
+for page in funzip.1 unzip.1 unzipsfx.1 zipgrep.1 zipinfo.1 ; do
+  cat $page | gzip -9c > $PKG/usr/man/man1/$page.gz
+done
+cd ..
+( cd $PKG
+  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 
+  #find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 
+)
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+makepkg -l y -c n $TMP/infozip-$VERSION-$ARCH-$BUILD.txz
+
Index: npl/overig/archivetools/infozip/infozip.arch
===================================================================
--- npl/overig/archivetools/infozip/infozip.arch	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
+++ npl/overig/archivetools/infozip/infozip.arch	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/archivetools/infozip/infozip.build
===================================================================
--- npl/overig/archivetools/infozip/infozip.build	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
+++ npl/overig/archivetools/infozip/infozip.build	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/archivetools/infozip/infozip.md5
===================================================================
--- npl/overig/archivetools/infozip/infozip.md5	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
+++ npl/overig/archivetools/infozip/infozip.md5	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
@@ -0,0 +1,11 @@
+b20017d537866b84ccf2244b97c14939  ./infozip_dev.pkg
+b81f53b66b45c7496d4ae6de509b940f  ./infozip.pkg
+6ef67469bcb03fc41fbef6bb5076b558  ./infozip.SlackBuild
+452877218110ee4855a3ba6466bc761b  ./infozip.SlackBuild.log.gz
+c50d9495bb3acab979089e63e4e61655  ./infozip.SlackBuild.orig
+8b3d462c29532bdd1b1e6fef28d87dbf  ./slack-desc
+cd3e1af87f60fa286c6913e9ffe6f30a  ./unzip60.tar.xz
+7447825fbc3d9fcb6c151bf2a9db894f  ./unzip.git.archive.fix.diff.gz
+f75c44c6fe72b7eb01d33a5ed49a931f  ./unzip.process.c.diff.gz
+36dbb4aa4d4f8549740b7eff25e4f5e4  ./unzip.use.system.libbz2.diff.gz
+6323b2cec279e432ab0b5ef15c17bddf  ./zip30.tar.xz
Index: npl/overig/archivetools/infozip/infozip.version
===================================================================
--- npl/overig/archivetools/infozip/infozip.version	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
+++ npl/overig/archivetools/infozip/infozip.version	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
@@ -0,0 +1,1 @@
+6.0
Index: npl/overig/archivetools/infozip/infozip_dev.arch
===================================================================
--- npl/overig/archivetools/infozip/infozip_dev.arch	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
+++ npl/overig/archivetools/infozip/infozip_dev.arch	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/archivetools/infozip/infozip_dev.build
===================================================================
--- npl/overig/archivetools/infozip/infozip_dev.build	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
+++ npl/overig/archivetools/infozip/infozip_dev.build	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/archivetools/infozip/infozip_dev.version
===================================================================
--- npl/overig/archivetools/infozip/infozip_dev.version	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
+++ npl/overig/archivetools/infozip/infozip_dev.version	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
@@ -0,0 +1,1 @@
+6.0
Index: npl/overig/archivetools/infozip/slack-desc
===================================================================
--- npl/overig/archivetools/infozip/slack-desc	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
+++ npl/overig/archivetools/infozip/slack-desc	(revision 354c056ae829422f8eff8d566b4fadaf8f1ff58f)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+       |-----handy-ruler------------------------------------------------------|
+infozip: infozip (Info-ZIP's zip and unzip utilities)
+infozip:
+infozip: zip is a compression and file packaging utility for Unix, VMS, MSDOS,
+infozip: OS/2, Windows NT, Minix, Atari and Macintosh, Amiga and Acorn RISC OS.
+infozip: It is analogous to a combination of the UNIX commands tar(1) and
+infozip: compress(1) and is compatible with PKZIP (Phil Katz's ZIP). A
+infozip: companion program (unzip(1L)), unpacks zip archives.
+infozip:
+infozip:
+infozip:
+infozip:
Index: npl/overig/archivetools/unzip/unzip.SlackBuild
===================================================================
--- npl/overig/archivetools/unzip/unzip.SlackBuild	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ 	(revision )
@@ -1,70 +1,0 @@
-#!/bin/bash
-#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
-#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
-#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
-##################################### Build dependency info:
-
-#Strict build-dependencies
-#Our package will be automaticly rebuilded if there is a major change in a DEP package.
-#(this is recommended for most dependencys)
-##DEP:linux
-##DEP:linux_src
-##DEP:openldap
-
-#Loose build-dependencies
-#The package will be installed in the buildroot during buidling, but no automatic rebuild will occur.
-#(not recommended)
-##NEED:doxygen
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
-
-#Version of the sourcefiles
-VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-#from this point on, exit on errors:
-set -e
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC 
-
-#Directory where the sourcefiles are unpacked. 
-#(you might have to adjust this if autodetection fails)
-SRC_DIR=`ls -c|head -1`
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-pushd $SRC_DIR 
-
-
-./unix/configure
-make -f unix/Makefile CF="-I. -DACORN_FTYPE_NFS -DWILD_STOP_AT_DIR -DLARGE_FILE_SUPPORT  -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DNO_LCHMOD  -DDATE_FORMAT=DF_YMD " unzips
-make -f unix/Makefile  install prefix=/tmp/pkg/usr
-
-popd
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-
-#make main package
-
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
-
Index: npl/overig/archivetools/unzip/unzip.arch
===================================================================
--- npl/overig/archivetools/unzip/unzip.arch	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: npl/overig/archivetools/unzip/unzip.build
===================================================================
--- npl/overig/archivetools/unzip/unzip.build	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5901
Index: npl/overig/archivetools/unzip/unzip.md5
===================================================================
--- npl/overig/archivetools/unzip/unzip.md5	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ 	(revision )
@@ -1,4 +1,0 @@
-62b490407489521db863b523a7f86375  ./unzip60.tar.gz
-275100fcad08618b33e172d7e3d08f66  ./unzip.pkg
-9684cc0c9806d28f26c9791c5ab230df  ./unzip.SlackBuild
-bf0bd14e3f9d9afd53265aabf94c335c  ./unzip.SlackBuild.log.gz
Index: npl/overig/archivetools/unzip/unzip.version
===================================================================
--- npl/overig/archivetools/unzip/unzip.version	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ 	(revision )
@@ -1,1 +1,0 @@
-unzip60