Index: npl/kernel/drbd8/drbd8.build
===================================================================
--- npl/kernel/drbd8/drbd8.build	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/drbd8/drbd8.build	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-6550
+6551
Index: npl/kernel/drbd8/drbd8.depver
===================================================================
--- npl/kernel/drbd8/drbd8.depver	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/drbd8/drbd8.depver	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,3 +1,3 @@
 linux	0
-linux_src	404033004
+linux_src	404072000
 linux_headers	0
Index: npl/kernel/drbd8/drbd8.md5
===================================================================
--- npl/kernel/drbd8/drbd8.md5	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/drbd8/drbd8.md5	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -2,7 +2,7 @@
 aabd6c255cdf11d341c862ed65c64f53  ./drbd-8.4.7-1.tar.gz
 1e55a2659d0ade21f3ec3c31b8669afc  ./drbd-8.4.8-1.tar.gz
-f3d228eff170d502cf9415342b4b3cda  ./drbd8.pkg
+3b8e87823f28f79f0eb702f5412f76fc  ./drbd8.pkg
 4ddc712a6a2ed9f67d1193fd3f952a23  ./drbd8.SlackBuild
-ba3d22ef6b90f5df81e913487885f348  ./drbd8.SlackBuild.log.gz
+462bd74f68d21bd91573b1c6acdb362d  ./drbd8.SlackBuild.log.gz
 7aea41ce9a260371e6b6e5d254b7063b  ./post.drbd
 2e44be0727010c5da61039e63c7a2575  ./services.drbd
Index: npl/kernel/drv_dahdi/drv_dahdi.build
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.build	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/drv_dahdi/drv_dahdi.build	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-6549
+6550
Index: npl/kernel/drv_dahdi/drv_dahdi.depver
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.depver	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/drv_dahdi/drv_dahdi.depver	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,4 +1,4 @@
 linux	0
-linux_src	404033004
+linux_src	404072000
 linux_headers	0
 linux	0
Index: npl/kernel/drv_dahdi/drv_dahdi.md5
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi.md5	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/drv_dahdi/drv_dahdi.md5	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,7 +1,7 @@
 7ab7b781c0eeba1522c56f49222d2627  ./dahdi
 af96917e15eebc36519948133ec7e36b  ./dahdi-linux-2.11.1.tar.gz
-97c053abae568d0f48e4200383e9c8c7  ./drv_dahdi_dev.pkg
-c418d3059ef6e7806f2fe4d6e8a15964  ./drv_dahdi.pkg
+706ec5bc44fed633e781a156532a24ba  ./drv_dahdi_dev.pkg
+58e21268a03f68860ddb7ba5fc99169e  ./drv_dahdi.pkg
 8aeaed44b83e1ed8f56a6981afad6898  ./drv_dahdi.SlackBuild
-6924a0c153e45d58d8030403afa5713d  ./drv_dahdi.SlackBuild.log.gz
+6b74c7feeb01041443cc565898686740  ./drv_dahdi.SlackBuild.log.gz
 b5476f7778add5f5e85a4c898da3ba49  ./post.dahdi
Index: npl/kernel/drv_dahdi/drv_dahdi_dev.build
===================================================================
--- npl/kernel/drv_dahdi/drv_dahdi_dev.build	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/drv_dahdi/drv_dahdi_dev.build	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-6549
+6550
Index: npl/kernel/drv_e1000e/drv_e1000e.build
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.build	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/drv_e1000e/drv_e1000e.build	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-6549
+6550
Index: npl/kernel/drv_e1000e/drv_e1000e.depver
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.depver	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/drv_e1000e/drv_e1000e.depver	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,3 +1,3 @@
-linux_src	404033004
+linux_src	404072000
 linux_headers	0
 linux	0
Index: npl/kernel/drv_e1000e/drv_e1000e.md5
===================================================================
--- npl/kernel/drv_e1000e/drv_e1000e.md5	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/drv_e1000e/drv_e1000e.md5	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,4 +1,4 @@
-96623e1160df5f2854b9005a07574e9e  ./drv_e1000e.pkg
+8dd7a099d41602a7b223d7f8db82c294  ./drv_e1000e.pkg
 9f85b56cb7f5fde9d6ddf879926de4fb  ./drv_e1000e.SlackBuild
-8e4fa1a5ec0e624f3f893f1ae42b2952  ./drv_e1000e.SlackBuild.log.gz
+f1ff71a075d36d86819b7b14bba7c991  ./drv_e1000e.SlackBuild.log.gz
 5c6d010341868f753cf983cbe4467db5  ./e1000e-3.3.4.tar.gz
Index: npl/kernel/initrd/initrd.depver
===================================================================
--- npl/kernel/initrd/initrd.depver	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/initrd/initrd.depver	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -2,5 +2,5 @@
 xfsprogs	1
 linux	0
-linux_src	404033004
+linux_src	404072000
 lvm2	0
 pciutils	0
Index: npl/kernel/initrd/initrd.md5
===================================================================
--- npl/kernel/initrd/initrd.md5	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/initrd/initrd.md5	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,3 +1,3 @@
-db80a88ae908dd6f2c09ba2411bf20fa  ./initrd.pkg
+3bb357bbbd7a3d4f549a41d318df44f3  ./initrd.pkg
 61a71b8a3ae46871dd2223bd80ad262e  ./initrd.SlackBuild
 3c1ba83b906d1fe77db9175aefe6581c  ./post.initrd
Index: npl/kernel/initrd/initrd.version
===================================================================
--- npl/kernel/initrd/initrd.version	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/initrd/initrd.version	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-4.4.33_bigmem_syn3
+4.4.72_bigmem_syn3
Index: npl/kernel/initrd_scripts/initrd_scripts.build
===================================================================
--- npl/kernel/initrd_scripts/initrd_scripts.build	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/initrd_scripts/initrd_scripts.build	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-6544
+6545
Index: npl/kernel/initrd_scripts/initrd_scripts.md5
===================================================================
--- npl/kernel/initrd_scripts/initrd_scripts.md5	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/initrd_scripts/initrd_scripts.md5	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,7 +1,7 @@
-eb44865e412350a2fd802d120eb432c9  ./initrd_scripts.pkg
+60c026608086ce565cadf2598d5586ec  ./initrd_scripts.pkg
 f8c838462b443b47b87c93b372753db9  ./initrd_scripts.SlackBuild
-bf60dc3aaeb9c797f4d887946076bcf2  ./initrd_scripts.SlackBuild.log.gz
+b5d60e619904138471d8277c775a12be  ./initrd_scripts.SlackBuild.log.gz
 a50b10adc68c6af8c9145a88b8f663d3  ./root/bin/sup
-af4ac56913038ed269019cb9a7b2a043  ./root/etc/drbd.boot
+f500a5bbd663874d92cc833d6b15009e  ./root/etc/drbd.boot
 a9c8802601e03363c060046b5bc96532  ./root/etc/fstab
 540849ef0e979441257330e78ef501a4  ./root/etc/group
Index: npl/kernel/linux/linux.build
===================================================================
--- npl/kernel/linux/linux.build	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux/linux.build	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-6549
+6550
Index: npl/kernel/linux/linux.depver
===================================================================
--- npl/kernel/linux/linux.depver	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux/linux.depver	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-linux_src	404033004
+linux_src	404072000
Index: npl/kernel/linux/linux.md5
===================================================================
--- npl/kernel/linux/linux.md5	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux/linux.md5	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,4 +1,4 @@
-bab14dc56669a1e2f693bb029ecabbd0  ./linux.pkg
+04130325c2e8895bc2233178b08bd197  ./linux.pkg
 67f6acaa0cb7027b29eed0b2e4cbea30  ./linux.SlackBuild
-6cfc417552ec807a479b18be82fe55fa  ./linux.SlackBuild.log.gz
+3958f4a1e45dd37ddf25365225e5210e  ./linux.SlackBuild.log.gz
 7fe139c0b2be4f799bf8012284fef9ff  ./post.linux
Index: npl/kernel/linux/linux.version
===================================================================
--- npl/kernel/linux/linux.version	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux/linux.version	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-4.4.33_bigmem_syn3
+4.4.72_bigmem_syn3
Index: npl/kernel/linux_headers/linux_headers.build
===================================================================
--- npl/kernel/linux_headers/linux_headers.build	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux_headers/linux_headers.build	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-6549
+6550
Index: npl/kernel/linux_headers/linux_headers.depver
===================================================================
--- npl/kernel/linux_headers/linux_headers.depver	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux_headers/linux_headers.depver	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-linux_src	404033004
+linux_src	404072000
Index: npl/kernel/linux_headers/linux_headers.md5
===================================================================
--- npl/kernel/linux_headers/linux_headers.md5	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux_headers/linux_headers.md5	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,3 +1,3 @@
-477942870f2722de6deaaff69efda82c  ./linux_headers.pkg
+a6f2631f6d4a951bd63c648890c36488  ./linux_headers.pkg
 0f51cde2bbc4cbe006abcf63844e28c7  ./linux_headers.SlackBuild
-0b3561e2aa0d9d2e920e2710d780d72c  ./linux_headers.SlackBuild.log.gz
+8282ace2d4be2bae822fdda301ede7f2  ./linux_headers.SlackBuild.log.gz
Index: npl/kernel/linux_headers/linux_headers.version
===================================================================
--- npl/kernel/linux_headers/linux_headers.version	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux_headers/linux_headers.version	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-4.4.33_bigmem_syn3
+4.4.72_bigmem_syn3
Index: npl/kernel/linux_src/linux_src.SlackBuild
===================================================================
--- npl/kernel/linux_src/linux_src.SlackBuild	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux_src/linux_src.SlackBuild	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -17,6 +17,6 @@
 cd linux-* || exit 1
 #if you want to create a newer kernel: just download newest patches, and increase patchlevel
-#Also increase the linux_src.major number, so everything that depends on linux_src is rebuilded.
-PATCHLEVEL=33
+#also increase .major file to trigger rebuilds!
+PATCHLEVEL=72
 VER=4.4.$PATCHLEVEL
 #bunzip2 $CWD/patch-$VER.bz2 || exit 1
Index: npl/kernel/linux_src/linux_src.build
===================================================================
--- npl/kernel/linux_src/linux_src.build	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux_src/linux_src.build	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-6549
+6551
Index: npl/kernel/linux_src/linux_src.major
===================================================================
--- npl/kernel/linux_src/linux_src.major	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux_src/linux_src.major	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,2 +1,2 @@
-404033004
+404072000
 
Index: npl/kernel/linux_src/linux_src.md5
===================================================================
--- npl/kernel/linux_src/linux_src.md5	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux_src/linux_src.md5	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,12 +1,8 @@
 017c99ede49e47e606a889dffe7e23ab  ./config
-d55f716a0835a3f00b557466008b9293  ./fbcondecor-3.15.patch
 8b7ca23aa660578023a0a244ae235888  ./fbcondecor-3.19.patch
 467d0a59ae2bfe466a370d65768b8ace  ./linux-4.4.5-imq.diff
-099c7494932ef49edf6a3ac4c50e8d38  ./linux-4.4-imq.diff
 9a78fa2eb6c68ca5a40ed5af08142599  ./linux-4.4.tar.xz
-61c5bb69b49cd98c614165e3c1768ed4  ./linux_src.pkg
-1ae17eb0b9c74977bcb0d29d7114a2f0  ./linux_src.SlackBuild
-7aa7fbdbf97b2fc15c45f225b06e57d1  ./linux_src.SlackBuild.log.gz
-91b0fc0919b520a647e2d3ba60b77254  ./patch-4.4.31.xz
-394f1ad7f950428eaed011f2e6d36060  ./patch-4.4.32.xz
-eae23d12c918b5b8fa6baa88d53ff2b7  ./patch-4.4.33.xz
+612eaca595756d9a879815252733f148  ./linux_src.pkg
+f8e92ed9ffe8143840c999f4763b5c53  ./linux_src.SlackBuild
+42ceaa2f4a94660086e0ec3175eac239  ./linux_src.SlackBuild.log.gz
+706589ba15cc3b1635c8bb1bc8938b14  ./patch-4.4.72.xz
Index: npl/kernel/linux_src/linux_src.version
===================================================================
--- npl/kernel/linux_src/linux_src.version	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/linux_src/linux_src.version	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-4.4.33_bigmem_syn3
+4.4.72_bigmem_syn3
Index: npl/kernel/open_vm_tools/open_vm_tools.build
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.build	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/open_vm_tools/open_vm_tools.build	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-6549
+6550
Index: npl/kernel/open_vm_tools/open_vm_tools.depver
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.depver	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/open_vm_tools/open_vm_tools.depver	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,4 +1,4 @@
 linux	0
-linux_src	404033004
+linux_src	404072000
 glib2	2
 procps_ng	0
Index: npl/kernel/open_vm_tools/open_vm_tools.md5
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools.md5	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/open_vm_tools/open_vm_tools.md5	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,5 +1,5 @@
-9e723231b1c0cef52c77c2bbdd9aa094  ./open_vm_tools_dev.pkg
-577381c9a3d727e0a29745f0438531a7  ./open_vm_tools.pkg
+fa2da0f0a8eea056c2e226def180d370  ./open_vm_tools_dev.pkg
+ccd2ee72aaf3c273f44bbb15b64b772c  ./open_vm_tools.pkg
 00093fce9cc4e852605b2b138c325a71  ./open_vm_tools.SlackBuild
-7752bb213c7cd0ac40cd66c5c35f1da2  ./open_vm_tools.SlackBuild.log.gz
+3b62ac0559ae4683eee1a870a6840e82  ./open_vm_tools.SlackBuild.log.gz
 3b7253225c4131ee2d5e490c3b86cf1f  ./open-vm-tools-stable-10.0.7.zip
Index: npl/kernel/open_vm_tools/open_vm_tools_dev.build
===================================================================
--- npl/kernel/open_vm_tools/open_vm_tools_dev.build	(revision 2fd27f05799017c18a015269ee34d312b27852c0)
+++ npl/kernel/open_vm_tools/open_vm_tools_dev.build	(revision 480e6a7b2ed6ffc84b27731196c29319fba61a94)
@@ -1,1 +1,1 @@
-6549
+6550