Index: npl/syn3/backup/backup
===================================================================
--- npl/syn3/backup/backup	(revision 577e6d3b0bac3a6dd223d5825716b89ed624cc2f)
+++ npl/syn3/backup/backup	(revision 595c2ebba9fa4304cfaeb9c28964cb1c31454055)
@@ -1,13 +1,7 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
+#Backup script for Syn3 (C)DatuX
 
 name='backup'
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
-
-#load additional backup config file?
-if [ -e "$BACKUP_CONF" ]; then
-	source $BACKUP_CONF || exit 1
-fi
+source /usr/backup/backuplib || exit 1
 
 
@@ -21,5 +15,5 @@
 		#nope, so exit cleanly
 		exit 0
-	fi	
+	fi
 fi
 
@@ -66,8 +60,8 @@
 	echo "INFO:Backup session ended"
 	exit $1
-}	
-
-
-	
+}
+
+
+
 echo "INFO: Backup session started at `date`"
 if [ "$1" == "now" ]; then
@@ -97,8 +91,8 @@
         ROOTFS=$SNAPMNT
     fi
-    
+
     #rsync the root+boot filesystem data
     echo "INFO: Collecting / and /boot ..."
-    rsync -ax -q --ignore-errors --numeric-ids --delete --exclude=/tmp/* --exclude=/dev/.udev /boot $ROOTFS/. "$BACKUPMNT/.syn3systembackup" 
+    rsync -ax -q --ignore-errors --numeric-ids --delete --exclude=/tmp/* --exclude=/dev/.udev /boot $ROOTFS/. "$BACKUPMNT/.syn3systembackup"
     err=$?
     #ignore some errors (partial transfers, vanishing files)
@@ -128,8 +122,8 @@
     #note: on redundant systems /dev/home points to /dev/drbd.. instead of /dev/syn3/home, so this is why we need this extra variable:
     Snapshot $SNAPSOURCEDEV || terminated
-    
+
     #unfreeze the databases
     unfreeze
-	
+
     echo "INFO: Checking snapshots."
     if ! SnapshotValid; then
@@ -152,5 +146,5 @@
         fi
     done
-    sync 
+    sync
     #dump the normal location.
     DUMPMNT=$BACKUPMNT
@@ -174,13 +168,13 @@
 	while true; do
 		if [ $mode == "smb" ]; then
-			xfsdump -e -o -p 10 -F - $resumeflag $OPTS $DUMPMNT | gzip --fast | smbclient --timeout 3600 -s /dev/null -c "put - $FILE" -U "$smbuser" -W "$smbdomain" "//$smbserver/$smbshare" "$smbpasswd" 
+			xfsdump -e -o -p 10 -F - $resumeflag $OPTS $DUMPMNT | gzip --fast | smbclient --timeout 3600 -s /dev/null -c "put - $FILE" -U "$smbuser" -W "$smbdomain" "//$smbserver/$smbshare" "$smbpasswd"
 			#also check xfsdump exit code to prevent samba exit-code bug: https://bugzilla.samba.org/show_bug.cgi?id=7551
-			if [ "$?${PIPESTATUS[0]}" != "00" ]; then 
+			if [ "$?${PIPESTATUS[0]}" != "00" ]; then
 				terminated
 			fi
 		elif [ $mode == "tape" ]; then
-			xfsdump -e -L "$FILE" -o -p 10 -F -f $TAPEDEV $resumeflag $OPTS $DUMPMNT 
+			xfsdump -e -L "$FILE" -o -p 10 -F -f $TAPEDEV $resumeflag $OPTS $DUMPMNT
 		elif [ $mode == "usbtape" ]; then
-			xfsdump -e -L "$FILE" -o -b 65536 -p 10 -F -f $TAPEDEV $resumeflag $OPTS $DUMPMNT 
+			xfsdump -e -L "$FILE" -o -b 65536 -p 10 -F -f $TAPEDEV $resumeflag $OPTS $DUMPMNT
 		elif [ $mode == "rsync" ]; then
 			export PASSWD="$rsyncpasswd"
@@ -198,5 +192,5 @@
 		else
 			echo "Backupmode $mode is unknown!";
-			terminated 
+			terminated
 		fi
 		if [ $? == 0 ]; then
@@ -229,9 +223,9 @@
 		fi
 	done
-) 2>&1 | 
+) 2>&1 |
 #analyse the output of the above block
-while read LINE; do 
+while read LINE; do
 	ProcXfsOutput "$LINE" || terminated
-done 
+done
 
 #did something go wrong?
Index: npl/syn3/backup/backuplib
===================================================================
--- npl/syn3/backup/backuplib	(revision 577e6d3b0bac3a6dd223d5825716b89ed624cc2f)
+++ npl/syn3/backup/backuplib	(revision 595c2ebba9fa4304cfaeb9c28964cb1c31454055)
@@ -1,3 +1,11 @@
 #!/bin/bash
+
+source /etc/backup.conf || exit 1
+
+#load additional backup config file?
+if [ -e "$BACKUP_CONF" ]; then
+	source $BACKUP_CONF || exit 1
+fi
+
 
 #correct ssh command and parameters for rsync backups, to force passwords and disable pubkeyauthentication. (it seems wrong, but in this use-case it actually makes sense)
Index: npl/syn3/backup/cleanup
===================================================================
--- npl/syn3/backup/cleanup	(revision 577e6d3b0bac3a6dd223d5825716b89ed624cc2f)
+++ npl/syn3/backup/cleanup	(revision 595c2ebba9fa4304cfaeb9c28964cb1c31454055)
@@ -1,7 +1,5 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
-
+#Backup script for Syn3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 #skip cleanup for tapes
 if [ $mode == "tape" ]; then
@@ -33,5 +31,5 @@
 
 echo "INFO:Checking for old backups that can be deleted.."
-for FILE in `$SCRIPTDIR/list`; do 
+for FILE in `$SCRIPTDIR/list`; do
 	[ "$FILE" == "$SKIPFILE" ] && continue;
 
@@ -53,9 +51,9 @@
 			fi
 		fi
-		
+
 		#not in future?
-		if [ $STAMP -lt $NOW ]; then 
+		if [ $STAMP -lt $NOW ]; then
 			if [ $DEL == 1 ]; then
-				echo "INFO:Deleting $FILE"	
+				echo "INFO:Deleting $FILE"
 				$SCRIPTDIR/delete "$FILE" || exit 1
 			fi
Index: npl/syn3/backup/delete
===================================================================
--- npl/syn3/backup/delete	(revision 577e6d3b0bac3a6dd223d5825716b89ed624cc2f)
+++ npl/syn3/backup/delete	(revision 595c2ebba9fa4304cfaeb9c28964cb1c31454055)
@@ -1,6 +1,5 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
+#Backup script for Syn3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 
 FILE=$1
Index: npl/syn3/backup/list
===================================================================
--- npl/syn3/backup/list	(revision 577e6d3b0bac3a6dd223d5825716b89ed624cc2f)
+++ npl/syn3/backup/list	(revision 595c2ebba9fa4304cfaeb9c28964cb1c31454055)
@@ -1,6 +1,5 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
+#Backup script for Syn3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 cd /
 
@@ -16,8 +15,8 @@
     /usr/backup/sshpass rsync $RSYNC_SETTINGS --rsh "$SSHCMD" -v -R -n --no-implied-dirs "$rsyncserver:$rsyncdir/syn3backupmeta/syn3_*" /tmp/backupmetadummy/ > /tmp/syn3backuplastest.$$;
     RET_LATEST=$?
-    
-    /usr/backup/sshpass rsync $RSYNC_SETTINGS --rsh "$SSHCMD" -v -R -n --no-implied-dirs "$rsyncserver:$rsyncsnapdir/syn3backupmeta/syn3_*" /tmp/backupmetadummy/ > /tmp/syn3backupsnapshots.$$; 
+
+    /usr/backup/sshpass rsync $RSYNC_SETTINGS --rsh "$SSHCMD" -v -R -n --no-implied-dirs "$rsyncserver:$rsyncsnapdir/syn3backupmeta/syn3_*" /tmp/backupmetadummy/ > /tmp/syn3backupsnapshots.$$;
     RET_SNAPSHOTS=$?
-    
+
     #TODO: create a nice way to do error feedback (needs webint changes)
 
@@ -30,5 +29,5 @@
     [ "${rsyncdir:0:1}" == "/" ] && SLASH="/"
     [ "$RET_LATEST" == "0" ] && grep syn3_ /tmp/syn3backuplastest.$$ | sed "s@^@$SLASH@"
-    
+
     rm /tmp/syn3backuplastest.$$ /tmp/syn3backupsnapshots.$$
     exit 0
Index: npl/syn3/backup/listfiles
===================================================================
--- npl/syn3/backup/listfiles	(revision 577e6d3b0bac3a6dd223d5825716b89ed624cc2f)
+++ npl/syn3/backup/listfiles	(revision 595c2ebba9fa4304cfaeb9c28964cb1c31454055)
@@ -1,6 +1,5 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
+#Backup script for Syn3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 cd /
 
@@ -17,5 +16,5 @@
 		xfsrestore -p 10 -L "$FILE" -t -v 0 -f "$TAPEDEV" -F || exit 1;
 	elif [ $mode == "usbtape" ]; then
-		xfsrestore -p 10 -L "$FILE" -t -v 0 -f "$TAPEDEV" -F -b 65536  || exit 1; 
+		xfsrestore -p 10 -L "$FILE" -t -v 0 -f "$TAPEDEV" -F -b 65536  || exit 1;
 	else
 		echo "Backupmode $mode is unknown!";
@@ -24,5 +23,5 @@
 #Analyse the output of the above block
 #This will produce progress-information to filehandle 3 for the SCC to pickup.
-    tee "$FILELISTCACHEDIR/tmp" | 
+    tee "$FILELISTCACHEDIR/tmp" |
     grep --line-buffered "^xfsrestore:" | #only use lines that are important for procxfsoutput (because its slow!)
     while read LINE; do
@@ -34,5 +33,5 @@
 #filter the xfsrestore status messages from our precious listfile :)
 grep -v "^xfsrestore:" "$FILELISTCACHEDIR/tmp" > "$FILELISTCACHEDIR/$FILE" || exit 1
-rm "$FILELISTCACHEDIR/tmp" 
+rm "$FILELISTCACHEDIR/tmp"
 fi
 
Index: npl/syn3/backup/restore
===================================================================
--- npl/syn3/backup/restore	(revision 577e6d3b0bac3a6dd223d5825716b89ed624cc2f)
+++ npl/syn3/backup/restore	(revision 595c2ebba9fa4304cfaeb9c28964cb1c31454055)
@@ -1,6 +1,5 @@
 #!/bin/bash
-#Restore script for Syn-3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
+#Restore script for Syn-3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 
 FILE=$1
@@ -41,5 +40,5 @@
 syn3-state backup ALERT "Disaster restore started. Your system is unusable until the restore has completed."
 
-############################# 
+#############################
 echo "STAT:Preparing $BACKUPDEV"
 
@@ -79,5 +78,5 @@
 (
 	if [ $mode == "smb" ]; then
-		smbclient --timeout 3600 -s /dev/null --stderr -c "get $FILE -" -U "$smbuser" -W "$smbdomain" "//$smbserver/$smbshare" "$smbpasswd" | gunzip | xfsrestore -o -p 10 -F - $BACKUPMNT || terminated 
+		smbclient --timeout 3600 -s /dev/null --stderr -c "get $FILE -" -U "$smbuser" -W "$smbdomain" "//$smbserver/$smbshare" "$smbpasswd" | gunzip | xfsrestore -o -p 10 -F - $BACKUPMNT || terminated
 		[ "${PIPESTATUS[0]}" != "0" ] && terminated "Error while reading from fileserver."
 		exit 0
@@ -92,11 +91,11 @@
 	else
 		echo "Backupmode $mode is unknown!";
-		terminated 
+		terminated
 	fi
-) 2>&1 | 
+) 2>&1 |
 #analyse the output of the above block
-while read LINE; do 
+while read LINE; do
 	ProcXfsOutput "$LINE" || terminated
-done 
+done
 
 #something went wrong?
@@ -109,5 +108,5 @@
 #Look at: http://open.syn3.nl/syn3/trac/default/wiki/SynBackup for technical details.
 
-#we have a systembackup to restore? 
+#we have a systembackup to restore?
 if [ -e $BACKUPMNT/.syn3systembackup ]; then
 	#touch this file so the initrd will format / and /boot and copy the data there.
Index: npl/syn3/backup/restorefiles
===================================================================
--- npl/syn3/backup/restorefiles	(revision 577e6d3b0bac3a6dd223d5825716b89ed624cc2f)
+++ npl/syn3/backup/restorefiles	(revision 595c2ebba9fa4304cfaeb9c28964cb1c31454055)
@@ -1,6 +1,5 @@
 #!/bin/bash
-#Backup script for Syn3 (C)DatuX 
-source /etc/backup.conf || exit 1
-source $SCRIPTDIR/backuplib || exit 1
+#Backup script for Syn3 (C)DatuX
+source /usr/backup/backuplib || exit 1
 
 FILENAME=$1;
@@ -30,5 +29,5 @@
 		smbclient --timeout 3600  -s /dev/null -c "get $FILENAME -" -U "$smbuser" -W "$smbdomain" "//$smbserver/$smbshare" "$smbpasswd"  |gunzip| eval xfsrestore -p 10 - -o -F $FILEPATHS "$DESTINATION" || exit 1;
 	elif [ $mode == "tape" ]; then
-		#echo xfsrestore -p 10 -L "$FILENAME" -o -F $FILEPATHS -f "$TAPEDEV" "$DESTINATION" 
+		#echo xfsrestore -p 10 -L "$FILENAME" -o -F $FILEPATHS -f "$TAPEDEV" "$DESTINATION"
 		eval xfsrestore -p 10 -L "$FILENAME" -o -F $FILEPATHS -f "$TAPEDEV" "$DESTINATION" || exit 1;
 	elif [ $mode == "usbtape" ]; then
@@ -37,8 +36,7 @@
 		echo "Backupmode $mode is unknown!";
 	fi
-) 2>&1 | 
+) 2>&1 |
 #analyse the output of the above block
-while read LINE; do 
+while read LINE; do
 	ProcXfsOutput "$LINE" || exit 1
 done
-
Index: npl/syn3/backup/syn3backup.build
===================================================================
--- npl/syn3/backup/syn3backup.build	(revision 577e6d3b0bac3a6dd223d5825716b89ed624cc2f)
+++ npl/syn3/backup/syn3backup.build	(revision 595c2ebba9fa4304cfaeb9c28964cb1c31454055)
@@ -1,1 +1,1 @@
-6548
+6550
Index: npl/syn3/backup/syn3backup.md5
===================================================================
--- npl/syn3/backup/syn3backup.md5	(revision 577e6d3b0bac3a6dd223d5825716b89ed624cc2f)
+++ npl/syn3/backup/syn3backup.md5	(revision 595c2ebba9fa4304cfaeb9c28964cb1c31454055)
@@ -1,9 +1,9 @@
-ecf10c7e2ebe7c09da6bae104fb0b3ca  ./backup
+17d2ccbdcf7937a1ef1134ba7c4b0378  ./backup
 779c5c089a832327ff56b7db1d89ea25  ./backup.conf
-609916f5b9856ac6c00229628e959bf0  ./backuplib
-00f891dd773d85750d8212f0ba02e246  ./cleanup
-3cdeb17172997c4ecc3c27fa187b0fa1  ./delete
-fadfc8742aed0b81297765b9e4350e3f  ./list
-137c782694746269699bb022b6b647e9  ./listfiles
+19499d91077241a779176b275081aa96  ./backuplib
+5fd22ce56460e9ab76641f1f322bd30f  ./cleanup
+a65357fe969b583c6220300ae54316b4  ./delete
+b97e0e1bf8be8787d71c763f8fd56550  ./list
+8964fa790326d3924faf0a3a0253fe56  ./listfiles
 2016cc75fdc0fc52998a1d2291395879  ./modules/mysql.backup
 b07c8333373794830b95567130ffd821  ./modules/mysql.freeze
@@ -22,9 +22,9 @@
 cc0682867de94c1ccb2163e2fb1856e8  ./post.backup
 7158d3d4117bda9ee72ff6542bd141d7  ./post.restore
-5c6a3e0a4f34e7e9a30c534a4e3e44c5  ./restore
-a5c8f09a59ffb86f65344f20926f1b61  ./restorefiles
+bd04ec4ba9f753e1b36ecaec9be394e2  ./restore
+b42907f76531300850bad1104e2f6bdf  ./restorefiles
 478387d5e8c95cee3c270858e930b2ba  ./sshpass
-02c74cd009a095c929b0f182fe837990  ./syn3backup.pkg
+16227d7d8c11b00394b292ebd0615612  ./syn3backup.pkg
 6e3b8805854d12fd1b73056e96357640  ./syn3backup.SlackBuild
-0c7e2234bb90f7a43a8e9fd1b053eea5  ./syn3backup.SlackBuild.log.gz
+d8c0858eb5e6dbc3d4589b5ee548b579  ./syn3backup.SlackBuild.log.gz
 ac50b66df20fa5fee5fb8ec431ede26e  ./updatelang.sh