Index: npl/system/iptables/iptables.SlackBuild.orig
===================================================================
--- npl/system/iptables/iptables.SlackBuild.orig	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/iptables/iptables.SlackBuild.orig	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,5 +1,5 @@
-#!/bin/sh
+#!/bin/bash
 
-# Copyright 2008, 2009, 2010, 2012, 2013  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012, 2013, 2018  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -21,8 +21,11 @@
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION=${VERSION:-$(echo iptables-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+cd $(dirname $0) ; CWD=$(pwd)
 
-NUMJOBS=${NUMJOBS:-" -j7 "}
+PKGNAM=iptables
+VERSION=${VERSION:-$(echo iptables-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
 
 # Automatically determine the architecture we're building on:
@@ -36,5 +39,12 @@
 fi
 
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
+fi
+
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-iptables
@@ -58,5 +68,5 @@
 cd $TMP
 rm -rf iptables-$VERSION
-tar xvf $CWD/iptables-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/iptables-$VERSION.tar.?z || exit 1
 cd iptables-$VERSION || exit 1
 
@@ -84,4 +94,7 @@
 make $NUMJOBS || make || exit 1
 make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
 
 find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
Index: npl/system/iptables/iptables.build
===================================================================
--- npl/system/iptables/iptables.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/iptables/iptables.build	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1
+3
Index: npl/system/iptables/iptables.md5
===================================================================
--- npl/system/iptables/iptables.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/iptables/iptables.md5	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,7 +1,7 @@
-b5a1fc38efd8a95af92d6dccbf33dbee  ./iptables-1.6.0.tar.xz
-5eb5023b6f3361c4f214428c375e52a1  ./iptables_dev.pkg
-927c05136c3f3d1a4b9ca5084ea9e69e  ./iptables.pkg
+60f06447099fe862b8a0b6b4ad7e4191  ./iptables-1.8.2.tar.lz
+729b719f475d21b9acdc034a26f5f573  ./iptables_dev.pkg
+9275b3921fcbc025fbd7f54abe833b82  ./iptables.pkg
 f85960b24e6342637f4716aa5231cafd  ./iptables.SlackBuild
-366e98d34a15cf2cee0d4bf1743c3ca7  ./iptables.SlackBuild.log.gz
-e9567c0e4fdc1d5aee13fbc0ada9c9a8  ./iptables.SlackBuild.orig
+ce757f0ee9a3b0097bd53a17b52e6ff4  ./iptables.SlackBuild.log.gz
+20cdff5578fd1774c4fdb69fa79cc087  ./iptables.SlackBuild.orig
 537aa8a2cd557011b01fc5cf496a9b4b  ./slack-desc
Index: npl/system/iptables/iptables.version
===================================================================
--- npl/system/iptables/iptables.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/iptables/iptables.version	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1.6.0
+1.8.2
Index: npl/system/iptables/iptables_dev.build
===================================================================
--- npl/system/iptables/iptables_dev.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/iptables/iptables_dev.build	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1
+3
Index: npl/system/iptables/iptables_dev.version
===================================================================
--- npl/system/iptables/iptables_dev.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/iptables/iptables_dev.version	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1.6.0
+1.8.2
Index: npl/system/libmnl/libmnl.build
===================================================================
--- npl/system/libmnl/libmnl.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/libmnl/libmnl.build	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1
+2
Index: npl/system/libmnl/libmnl.md5
===================================================================
--- npl/system/libmnl/libmnl.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/libmnl/libmnl.md5	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,7 +1,7 @@
-1261b3200cd2efa4069d3904921522be  ./libmnl-1.0.3.tar.xz
-188d026f9bfee24bf67300bb642ae22c  ./libmnl_dev.pkg
-2214986b4c9caf6f8565b8cfdd085cdc  ./libmnl.pkg
+7bbeb8cdb3258793bd937887213cf20e  ./libmnl-1.0.4.tar.xz
+077cc18972b64a44069e3d9162b4c4dd  ./libmnl_dev.pkg
+d4215f63dc264d45da6589f313c8d8d3  ./libmnl.pkg
 9b6983326a218565c0697bda6597e841  ./libmnl.SlackBuild
-b0ebffc02715b59029b82fc8ea776cc8  ./libmnl.SlackBuild.log.gz
+d74e5eb29142d155c7845b6dbaa0b2c7  ./libmnl.SlackBuild.log.gz
 85eced3a2d32e12ee7bc8d344a0f9c2a  ./libmnl.SlackBuild.orig
 931c8a9169fa3bd3f0d0cf7881dc5e2c  ./slack-desc
Index: npl/system/libmnl/libmnl.version
===================================================================
--- npl/system/libmnl/libmnl.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/libmnl/libmnl.version	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1.0.3
+1.0.4
Index: npl/system/libmnl/libmnl_dev.build
===================================================================
--- npl/system/libmnl/libmnl_dev.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/libmnl/libmnl_dev.build	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1
+2
Index: npl/system/libmnl/libmnl_dev.version
===================================================================
--- npl/system/libmnl/libmnl_dev.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/libmnl/libmnl_dev.version	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1.0.3
+1.0.4
Index: npl/system/libnftnl/libnftnl.SlackBuild.orig
===================================================================
--- npl/system/libnftnl/libnftnl.SlackBuild.orig	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/libnftnl/libnftnl.SlackBuild.orig	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,5 +1,5 @@
-#!/bin/sh
+#!/bin/bash
 
-# Copyright 2014  Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2014, 2018  Patrick J. Volkerding, Sebeka, Minnesota, USA
 # All rights reserved.
 #
@@ -21,9 +21,11 @@
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
+cd $(dirname $0) ; CWD=$(pwd)
+
 PKGNAM=libnftnl
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.lz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
 BUILD=${BUILD:-1}
 
-NUMJOBS=${NUMJOBS:-" -j7 "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
 
 # Automatically determine the architecture we're building on:
@@ -35,4 +37,12 @@
        *) export ARCH=$( uname -m ) ;;
   esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+  exit 0
 fi
 
@@ -51,5 +61,4 @@
 fi
 
-CWD=$(pwd)
 TMP=${TMP:-/tmp}
 PKG=$TMP/package-$PKGNAM
@@ -60,5 +69,5 @@
 cd $TMP
 rm -rf $PKGNAM-$VERSION
-tar xf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xf $CWD/$PKGNAM-$VERSION.tar.lz || exit 1
 cd $PKGNAM-$VERSION || exit 1
 
@@ -106,5 +115,5 @@
 
 mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a COPYING* $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a COPYING*  $PKG/usr/doc/$PKGNAM-$VERSION
 
 mkdir -p $PKG/install
Index: npl/system/libnftnl/libnftnl.build
===================================================================
--- npl/system/libnftnl/libnftnl.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/libnftnl/libnftnl.build	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1
+2
Index: npl/system/libnftnl/libnftnl.md5
===================================================================
--- npl/system/libnftnl/libnftnl.md5	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/libnftnl/libnftnl.md5	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,7 +1,7 @@
-d95e984e65ab0b45f71830a2ec9e1675  ./libnftnl-1.0.7.tar.xz
-b0d81e72a4b5c6d787a20dcbaf23179e  ./libnftnl_dev.pkg
-ec2fd4da0ae98351de61df860c2a118b  ./libnftnl.pkg
+bb81f70148a3982ccee6345f259f0403  ./libnftnl-1.1.2.tar.lz
+18833c3dcd598b0bd6f1a3d9e2b8db5b  ./libnftnl_dev.pkg
+83cf86e4920063e87faaf5edd9428bba  ./libnftnl.pkg
 c3c2e73959a125edbae05fd59f746183  ./libnftnl.SlackBuild
-6d1ea102cc14361753baaf1f8d63c1c4  ./libnftnl.SlackBuild.log.gz
-3ee5194e2eb86ab8e794271145775e9f  ./libnftnl.SlackBuild.orig
+9a01ed8aa7759102942cebd40b0ae3e9  ./libnftnl.SlackBuild.log.gz
+1dcce5f1c22bb69bbd6eac955513afc7  ./libnftnl.SlackBuild.orig
 c6acafc91edd7af90543a7d0ff4c48d0  ./slack-desc
Index: npl/system/libnftnl/libnftnl.version
===================================================================
--- npl/system/libnftnl/libnftnl.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/libnftnl/libnftnl.version	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1.0.7
+1.1.2
Index: npl/system/libnftnl/libnftnl_dev.build
===================================================================
--- npl/system/libnftnl/libnftnl_dev.build	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/libnftnl/libnftnl_dev.build	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1
+2
Index: npl/system/libnftnl/libnftnl_dev.version
===================================================================
--- npl/system/libnftnl/libnftnl_dev.version	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/libnftnl/libnftnl_dev.version	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -1,1 +1,1 @@
-1.0.7
+1.1.2
Index: npl/system/xtables_addons/xtables_addons.SlackBuild
===================================================================
--- npl/system/xtables_addons/xtables_addons.SlackBuild	(revision 9b9dbbba977f5adf88ddfe04ea069a88195cfa2f)
+++ npl/system/xtables_addons/xtables_addons.SlackBuild	(revision 834b847f84f829e8bf959b0ed462e89510e3691e)
@@ -2,8 +2,8 @@
 #NEED:linux_src
 #NEED:linux
-#NEED:iptables
+#DEP:iptables
 NAME=xtables_addons
 SRCFILE=xtables-addons
-VER=1.21
+VER=3.2
 CWD=`pwd`
 PKGTMP=/tmp/pkgtmp
@@ -11,5 +11,5 @@
 mkdir -p $PKGTMP &>/dev/null
 
-tar -xjf $SRCFILE-$VER.tar.bz2 || exit 1
+tar -xf $SRCFILE-$VER.tar.xz || exit 1
 cd $SRCFILE-$VER || exit 1
 