Index: npl/internetserver/iproute2/iproute2-2.6.26-ldflags.patch
===================================================================
--- npl/internetserver/iproute2/iproute2-2.6.26-ldflags.patch	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,15 +1,0 @@
-respect env LDFLAGS
-
-http://bugs.gentoo.org/236861
-
---- tc/Makefile
-+++ tc/Makefile
-@@ -83,7 +83,7 @@
- 	rm -f emp_ematch.yacc.output
- 
- q_atm.so: q_atm.c
--	$(CC) $(CFLAGS) -shared -fpic -o q_atm.so q_atm.c -latm
-+	$(CC) $(CFLAGS) $(LDFLAGS) -shared -fpic -o q_atm.so q_atm.c -latm
- 
- %.yacc.c: %.y
- 	$(YACC) $(YACCFLAGS) -o $@ $<
Index: npl/internetserver/iproute2/iproute2-2.6.29.1-flush.patch
===================================================================
--- npl/internetserver/iproute2/iproute2-2.6.29.1-flush.patch	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ 	(revision )
@@ -1,220 +1,0 @@
-diff -Nru iproute2-2.6.29-1.orig/ip/ipaddress.c iproute2-2.6.29-1/ip/ipaddress.c
---- iproute2-2.6.29-1.orig/ip/ipaddress.c	2009-03-24 23:40:54.000000000 +0100
-+++ iproute2-2.6.29-1/ip/ipaddress.c	2009-07-11 09:00:32.000000000 +0200
-@@ -37,6 +37,8 @@
- 
- #define MAX_ROUNDS 10
- 
-+static struct rtnl_handle rth_flush = { .fd = -1 };
-+
- static struct
- {
- 	int ifindex;
-@@ -339,7 +341,7 @@
- 
- static int flush_update(void)
- {
--	if (rtnl_send_check(&rth, filter.flushb, filter.flushp) < 0) {
-+	if (rtnl_send_check(&rth_flush, filter.flushb, filter.flushp) < 0) {
- 		perror("Failed to send flush request");
- 		return -1;
- 	}
-@@ -697,6 +699,9 @@
- 		filter.flushp = 0;
- 		filter.flushe = sizeof(flushb);
- 
-+		if (rtnl_open(&rth_flush, 0) < 0)
-+			return 1;
-+
- 		while (round < MAX_ROUNDS) {
- 			if (rtnl_wilddump_request(&rth, filter.family, RTM_GETADDR) < 0) {
- 				perror("Cannot send dump request");
-@@ -715,18 +720,20 @@
- 						printf("*** Flush is complete after %d round%s ***\n", round, round>1?"s":"");
- 				}
- 				fflush(stdout);
-+				rtnl_close(&rth_flush);
- 				return 0;
- 			}
- 			round++;
- 			if (flush_update() < 0)
--				return 1;
-+				break;
- 
- 			if (show_stats) {
- 				printf("\n*** Round %d, deleting %d addresses ***\n", round, filter.flushed);
- 				fflush(stdout);
- 			}
- 		}
--		fprintf(stderr, "*** Flush remains incomplete after %d rounds. ***\n", MAX_ROUNDS); fflush(stderr);
-+		fprintf(stderr, "*** Flush remains incomplete after %d rounds. ***\n", round); fflush(stderr);
-+		rtnl_close(&rth_flush);
- 		return 1;
- 	}
- 
-diff -Nru iproute2-2.6.29-1.orig/ip/ipneigh.c iproute2-2.6.29-1/ip/ipneigh.c
---- iproute2-2.6.29-1.orig/ip/ipneigh.c	2009-03-24 23:40:54.000000000 +0100
-+++ iproute2-2.6.29-1/ip/ipneigh.c	2009-07-11 09:04:32.000000000 +0200
-@@ -32,6 +32,8 @@
- #define NUD_VALID	(NUD_PERMANENT|NUD_NOARP|NUD_REACHABLE|NUD_PROBE|NUD_STALE|NUD_DELAY)
- #define MAX_ROUNDS	10
- 
-+static struct rtnl_handle rth_flush = { .fd = -1 };
-+
- static struct
- {
- 	int family;
-@@ -87,7 +89,7 @@
- 
- static int flush_update(void)
- {
--	if (rtnl_send_check(&rth, filter.flushb, filter.flushp) < 0) {
-+	if (rtnl_send_check(&rth_flush, filter.flushb, filter.flushp) < 0) {
- 		perror("Failed to send flush request");
- 		return -1;
- 	}
-@@ -391,6 +393,9 @@
- 		filter.flushe = sizeof(flushb);
- 		filter.state &= ~NUD_FAILED;
- 
-+		if (rtnl_open(&rth_flush, 0) < 0)
-+			return 1;
-+
- 		while (round < MAX_ROUNDS) {
- 			if (rtnl_wilddump_request(&rth, filter.family, RTM_GETNEIGH) < 0) {
- 				perror("Cannot send dump request");
-@@ -409,18 +414,20 @@
- 						printf("*** Flush is complete after %d round%s ***\n", round, round>1?"s":"");
- 				}
- 				fflush(stdout);
-+				rtnl_close(&rth_flush);
- 				return 0;
- 			}
- 			round++;
- 			if (flush_update() < 0)
--				exit(1);
-+				break;
-+
- 			if (show_stats) {
- 				printf("\n*** Round %d, deleting %d entries ***\n", round, filter.flushed);
- 				fflush(stdout);
- 			}
- 		}
--		printf("*** Flush not complete bailing out after %d rounds\n",
--			MAX_ROUNDS);
-+		fprintf(stderr, "*** Flush remains incomplete after %d rounds. ***\n", round); fflush(stderr);
-+		rtnl_close(&rth_flush);
- 		return 1;
- 	}
- 
-diff -Nru iproute2-2.6.29-1.orig/ip/iproute.c iproute2-2.6.29-1/ip/iproute.c
---- iproute2-2.6.29-1.orig/ip/iproute.c	2009-03-24 23:40:54.000000000 +0100
-+++ iproute2-2.6.29-1/ip/iproute.c	2009-07-11 09:04:45.000000000 +0200
-@@ -37,6 +37,7 @@
- #define RTAX_RTTVAR RTAX_HOPS
- #endif
- 
-+static struct rtnl_handle rth_flush = { .fd = -1 };
- 
- static const char *mx_names[RTAX_MAX+1] = {
- 	[RTAX_MTU]	= "mtu",
-@@ -112,7 +113,7 @@
- 
- static int flush_update(void)
- {
--	if (rtnl_send_check(&rth, filter.flushb, filter.flushp) < 0) {
-+	if (rtnl_send_check(&rth_flush, filter.flushb, filter.flushp) < 0) {
- 		perror("Failed to send flush request");
- 		return -1;
- 	}
-@@ -1210,6 +1211,9 @@
- 		filter.flushp = 0;
- 		filter.flushe = sizeof(flushb);
- 
-+		if (rtnl_open(&rth_flush, 0) < 0)
-+			return 1;
-+
- 		for (;;) {
- 			if (rtnl_wilddump_request(&rth, do_ipv6, RTM_GETROUTE) < 0) {
- 				perror("Cannot send dump request");
-@@ -1228,6 +1232,7 @@
- 						printf("*** Flush is complete after %d round%s ***\n", round, round>1?"s":"");
- 				}
- 				fflush(stdout);
-+				rtnl_close(&rth_flush);
- 				return 0;
- 			}
- 			round++;
-diff -Nru iproute2-2.6.29-1.orig/ip/xfrm_policy.c iproute2-2.6.29-1/ip/xfrm_policy.c
---- iproute2-2.6.29-1.orig/ip/xfrm_policy.c	2009-03-24 23:40:54.000000000 +0100
-+++ iproute2-2.6.29-1/ip/xfrm_policy.c	2009-07-11 08:59:34.000000000 +0200
-@@ -756,11 +756,15 @@
- 		struct xfrm_buffer xb;
- 		char buf[NLMSG_DELETEALL_BUF_SIZE];
- 		int i;
-+		struct rtnl_handle rth2;
- 
- 		xb.buf = buf;
- 		xb.size = sizeof(buf);
- 		xb.rth = &rth;
- 
-+		if (rtnl_open(&rth2, 0) < 0)
-+			exit(1);
-+
- 		for (i = 0; ; i++) {
- 			xb.offset = 0;
- 			xb.nlmsg_count = 0;
-@@ -783,7 +787,7 @@
- 				break;
- 			}
- 
--			if (rtnl_send_check(&rth, xb.buf, xb.offset) < 0) {
-+			if (rtnl_send_check(&rth2, xb.buf, xb.offset) < 0) {
- 				perror("Failed to send delete-all request");
- 				exit(1);
- 			}
-@@ -793,6 +797,8 @@
- 			xb.offset = 0;
- 			xb.nlmsg_count = 0;
- 		}
-+
-+		rtnl_close(&rth2);
- 	} else {
- 		if (rtnl_wilddump_request(&rth, preferred_family, XFRM_MSG_GETPOLICY) < 0) {
- 			perror("Cannot send dump request");
-diff -Nru iproute2-2.6.29-1.orig/ip/xfrm_state.c iproute2-2.6.29-1/ip/xfrm_state.c
---- iproute2-2.6.29-1.orig/ip/xfrm_state.c	2009-03-24 23:40:54.000000000 +0100
-+++ iproute2-2.6.29-1/ip/xfrm_state.c	2009-07-11 09:03:37.000000000 +0200
-@@ -924,11 +924,15 @@
- 		struct xfrm_buffer xb;
- 		char buf[NLMSG_DELETEALL_BUF_SIZE];
- 		int i;
-+		struct rtnl_handle rth2;
- 
- 		xb.buf = buf;
- 		xb.size = sizeof(buf);
- 		xb.rth = &rth;
- 
-+		if (rtnl_open(&rth2, 0) < 0)
-+			exit(1);
-+
- 		for (i = 0; ; i++) {
- 			xb.offset = 0;
- 			xb.nlmsg_count = 0;
-@@ -951,7 +955,7 @@
- 				break;
- 			}
- 
--			if (rtnl_send_check(&rth, xb.buf, xb.offset) < 0) {
-+			if (rtnl_send_check(&rth2, xb.buf, xb.offset) < 0) {
- 				perror("Failed to send delete-all request\n");
- 				exit(1);
- 			}
-@@ -962,6 +966,7 @@
- 			xb.nlmsg_count = 0;
- 		}
- 
-+		rtnl_close(&rth2);
- 	} else {
- 		if (rtnl_wilddump_request(&rth, preferred_family, XFRM_MSG_GETSA) < 0) {
- 			perror("Cannot send dump request");
Index: npl/internetserver/iproute2/iproute2.SlackBuild
===================================================================
--- npl/internetserver/iproute2/iproute2.SlackBuild	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/iproute2/iproute2.SlackBuild	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
@@ -1,108 +1,25 @@
 #!/bin/bash
-#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
-#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
-#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
-##################################### Build dependency info:
-
-#Strict build-dependencies
-#Our package will be automaticly rebuilded if there is a major change in a DEP package.
-#(this is recommended for most dependencys)
-##DEP:linux
-##DEP:linux_src
-##DEP:openldap
-#NEED:iptables
-
-#Loose build-dependencies
-#The package will be installed in the buildroot during buidling, but no automatic rebuild will occur.
-#(not recommended)
-##NEED:doxygen
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
-
-#Version of the sourcefiles
-VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-#from this point on, exit on errors:
-set -e
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC 
-
-#Directory where the sourcefiles are unpacked. 
-#(you might have to adjust this if autodetection fails)
-SRC_DIR=`ls -c|head -1`
-
-####### ALL KINDS OF HACKS/PATCHES FROM THE GENTOO FOLKS:
-
-#patch -F3 -p1 -d $SRC_DIR < iproute2-2.6.26-ldflags.patch || exit 1
-patch -p1 -d $SRC_DIR < iproute2-2.6.29.1-flush.patch || exit 1
-
-pushd $SRC_DIR 
-
-# build against system headers
-#rm -r include/netinet #include/linux include/ip{,6}tables{,_common}.h include/libiptc
-
-# Use correct iptables dir, #144265
-#sed -i "s:/usr/local/lib/iptables:/usr/lib/iptables:g" include/iptables.h 
-#EDWIN: hmm..werkt niet, wil x_tables.h ipv xtables.h?
+#
+# Automaticly created by importpackage v1.0
+# Imported from: https://mirror.slackbuilds.org/slackware/slackware-14.2/source/n/iproute2/
+# Created at do 12 nov 2020  0:08:08 CET
 
 
-#disable berklydb stuff
-sed -i '/^TARGETS=/s: arpd : :' misc/Makefile || exit 1
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./iproute2.SlackBuild.orig
 
 
-#AUTOMAKE: Configure
-#Some usefull stuff you sometimes need to set:
-#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
-#export LD_LIBRARY_PATH=/usr/lib/mysql
-#export VPATH=$LD_LIBRARY_PATH
-MAKE_OPTS=""
-./configure --prefix=/usr  || exit 1
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
 
-#AUTOMAKE: Compile
-make $MAKE_OPTS || exit 1
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
 
-#AUTOMAKE: Test (optional)
-if grep ^test: Makefile; then
-	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
-	make $MAKE_OPTS test || exit 1
-elif grep ^check: Makefile; then
-	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
-	make $MAKE_OPTS check || exit 1 
-fi
-
-#AUTOMAKE: Install
-mkdir -p /tmp/pkg &>/dev/null
-make DESTDIR=/tmp/pkg DOCDIR=/usr/share/doc/iproute2 MANDIR=/usr/share/man $MAKE_OPTS install || exit 1
-popd
-
-find /tmp/pkg/etc -follow -type f -exec mv "{}" "{}.new" \; || exit 1
-
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
-
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/internetserver/iproute2/iproute2.build
===================================================================
--- npl/internetserver/iproute2/iproute2.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/iproute2/iproute2.build	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
@@ -1,1 +1,1 @@
-5222
+5224
Index: npl/internetserver/iproute2/iproute2.md5
===================================================================
--- npl/internetserver/iproute2/iproute2.md5	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/iproute2/iproute2.md5	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
@@ -1,7 +1,8 @@
-4744b9d39631a2ada05be5095342445b  ./iproute2-2.6.26-ldflags.patch
-c1bc258a6c345905e79935ac7a3cc582  ./iproute2-2.6.29-1.tar.bz2
-d64fcd24da031f91ef7ef7d3d30a742d  ./iproute2-2.6.29.1-flush.patch
-eadca1f2ad60bf7c7d9dd3a52295a681  ./iproute2.SlackBuild
-23f19ea6c5bc356c8a326b0b836c8efe  ./iproute2.SlackBuild.log.gz
-935937a417fd236398c93cffc698ff2a  ./iproute2.build
-4d1d0a86df17741fa068b3660f230a5b  ./iproute2.pkg
+3497816004be1fc10098a5c2cba003b3  ./doinst.sh.gz
+da53966eb3b08ac264f3e9df02e06bfa  ./iproute2-5.14.0.tar.xz
+5bfb3c40c92d77bf47beb46ff25d1dcd  ./iproute2_dev.pkg
+516ad9760830af2a2d23a06db3bd7ac1  ./iproute2.pkg
+eeb90b7ff54a912330d99a771594260d  ./iproute2.SlackBuild
+c720b9fba87946e4c28a55d37d32a2cb  ./iproute2.SlackBuild.log.gz
+ca2ffd2d99a878a535e8ce0ee08f6fbf  ./iproute2.SlackBuild.orig
+dc0f300699d2518f9ff3843b700cec4d  ./slack-desc
Index: npl/internetserver/iproute2/iproute2.version
===================================================================
--- npl/internetserver/iproute2/iproute2.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/iproute2/iproute2.version	(revision 929bb428a5c914a8d9d3cc12581ec85ce857d8ee)
@@ -1,1 +1,1 @@
-1
+5.14.0